{%- import 'macros/head.html' as macros_head -%}
{% import 'macros/math.html' as macros_math -%}
{% import 'macros/header.html' as macros_header -%}
{% import 'macros/footer.html' as macros_footer -%}
{% import 'macros/javascript.html' as macros_js -%}
{% import 'macros/page-publish-metadata.html' as macros_publish -%}
{% import 'macros/section-navigation.html' as macros_section_nav -%}
{% import 'macros/docs-sidebar.html' as macros_sidebar -%}
{% import 'macros/docs-edit-page.html' as macros_edit_page -%}
{% import 'macros/docs-navigation.html' as macros_navigation -%}
{% import 'macros/docs-toc.html' as macros_toc -%}
<!DOCTYPE html>
<html lang="{{ config.extra.language_code | default(value="en-US") }}">
<head>
<meta charset="utf-8">
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
{{ macros_head::resource() }}
{{ macros_head::stylesheet() }}

{% block seo %}
  {% if config.extra.title_separator %}
    {% set title_separator = " " ~ config.extra.title_separator ~ " " %}
  {% else %}
    {% set title_separator = " | " %}
  {% endif %}
{% endblock seo %}

{{ macros_head::favicons() }}
{% block math %}{{ macros_math::math() }}{% endblock math %}
</head>
{% block body %}{% set page_class="home" %}{% endblock body %}
<body class="{{ page_class }}">
  {% block header %}
    {% if current_path -%}
      {% set current_section = current_path | split(pat="/") | nth(n=1) -%}
    {% else -%}
      {% set current_section = '/' -%}
    {% endif -%}
    {{ macros_header::header(current_section=current_section)}}
  {% endblock header %}

  {% block content %}{% endblock content %}

  {% block footer %}
    {{ macros_footer::footer() }}
  {% endblock footer %}

  {{ macros_js::javascript() }}  
</body>
</html>
